/*Nice Tooltips by CoreTemplate Projects!
Nice Tooltips license is http://creativecommons.org/licenses/by-nc-sa/3.0/
Contact coretemplate@gmail.com for commercial or commercial club purposes
===========================================================================
Javascript for Bubble Tooltips by Alessandro Fulciniti
http://pro.html.it - http://web-graphics.com 
Fixed Script by http://www.coretemplate.com */

function enableTooltips(id){
	var linkt,i,h;
	if(!document.getElementById || !document.getElementsByTagName) return;
	AddCss();
	h=document.createElement("span");
	h.id="btc";
	h.setAttribute("id","btc");
	h.style.position="absolute";
	if(id==null){
		document.getElementsByTagName("body")[0].appendChild(h);
		linkt=document.getElementsByTagName("a");
	}else{ 
		document.getElementById(id).appendChild(h);
		linkt=document.getElementById(id).getElementsByTagName("a");
	}
	for(i=0;i<linkt.length;i++){
		Prepare(linkt[i]);
	}
}

function Prepare(el){
	var tooltip,t,b,s,l;
	t=el.getAttribute("title");
	t=t==null?"":t;
	l = t.split("||");
	if(l.length>1){
		if(t==null || t.length==0) t="link:";
		el.removeAttribute("title");
		tooltip=CreateEl("span","tooltip");
		b=CreateEl("b","top");
		b.appendChild(document.createTextNode(l[0]));
		tooltip.appendChild(b);

		s=CreateEl("span","bottom");
		s.innerHTML=l[1];
		tooltip.appendChild(s);

		setOpacity(tooltip);
		el.tooltip=tooltip;
		el.onmouseover=showTooltip;
		el.onmouseout=hideTooltip;
		el.onmousemove=Locate;
	}
}

function showTooltip(e){
	document.getElementById("btc").appendChild(this.tooltip);
	Locate(e);
}

function hideTooltip(e){
var d=document.getElementById("btc");
if(d.childNodes.length>0) d.removeChild(d.firstChild);
}

function setOpacity(el){
el.style.filter="alpha(opacity:95)";
el.style.KHTMLOpacity="0.95";
el.style.MozOpacity="0.95";
el.style.opacity="0.95";
}

function CreateEl(t,c){
var x=document.createElement(t);
x.className=c;
x.style.display="block";
x.setAttribute("id","tooltip_"+c);
return(x);
}

function AddCss(){
var l=CreateEl("link");
l.setAttribute("type","text/css");
l.setAttribute("rel","stylesheet");
l.setAttribute("href","bt.css");
l.setAttribute("media","screen");
document.getElementsByTagName("head")[0].appendChild(l);
}

function Locate(e){
var posx=0,posy=0;
if(e==null) e=window.event;
if(e.pageX || e.pageY){
    posx=e.pageX; posy=e.pageY;
    }
else if(e.clientX || e.clientY){
    if(document.documentElement.scrollTop){
        posx=e.clientX+document.documentElement.scrollLeft;
        posy=e.clientY+document.documentElement.scrollTop;
        }
    else{
        posx=e.clientX+document.body.scrollLeft;
        posy=e.clientY+document.body.scrollTop;
        }
    }
document.getElementById("btc").style.top=(posy+10)+"px";
document.getElementById("btc").style.left=(posx-20)+"px";
}